/**
 * Licensed Materials - Property of IBM
 *
 * IBM Cognos Products: BI
 *
 * Copyright IBM Corp. 2020
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */

'use strict';
define([
	'./radius/view',
	'./polygon/view'
], function(radiusView, polygonView) {

   function LassoExtension( options ){
	   options.features.Lasso.registerProvider(this);
   }

   LassoExtension.prototype.getLassoContribution = function(){
	   return [{
		   id: 'com.ibm.bi.dashboard.live-lassoView.radius',
		   name: 'Select tool - radius',
		   icon: 'circle_dash_32',
		   label: 'Select tool - radius',
		   css: 'v1/ext/lasso_ext/radius/style.css',
		   module: radiusView
	   },{
		   id: 'com.ibm.bi.dashboard.live-lassoView.polygon',
		   name: 'Select tool - polygon',
		   icon: 'lasso_polygon_32',
		   label:'Select tool - polygon',
		   css: 'v1/ext/lasso_ext/polygon/style.css',
		   module: polygonView
	   }];
   }

	return LassoExtension;
});